## org.eclipse.datatools.sqltools.routineeditor
Class RoutineEditor

    java.lang.Object
      TextEditor
          org.eclipse.datatools.sqltools.sqleditor.SQLEditor
              org.eclipse.datatools.sqltools.routineeditor.RoutineEditor

public class RoutineEditor
extends SQLEditor

A SQL Editor handles routine objects including stored procedure, function, trigger, and event.

Author:
  Hui Cao
See Also:
  `Routine`, Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.datatools.sqltools.sqleditor.SQLEditor
`SQLEditor.AdaptedSourceViewer`

Field Summary
`static java.lang.String` `EDITOR_ID`

Fields inherited from class org.eclipse.datatools.sqltools.sqleditor.SQLEditor
`HELP_CONTEXT_ID, PLUGIN_NAME`

Constructor Summary
`RoutineEditor()`

Method Summary
`void` `dispose()` Dispose of resources held by this editor.
`void` `doSave(IProgressMonitor monitor)` Saves the content of this editor.
`void` `doSaveAs()` Saves the contents of this editor to another object.
`java.util.ResourceBundle` `getConstructedResourceBundle()` Gets the resource bundle associated with this editor.
`ProcIdentifier` `getCurrProcIdentifier()`
`int` `getSQLType()` Returns the outmost sql statement type that's allowed in this editor.
`void` `init(IEditorSite site, IEditorInput input)`
`void` `setConnectionInfo(ISQLEditorConnectionInfo connInfo)` Sets the connection info object of the editor input of this editor.

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.SQLEditor

`addConnectionProfileAttachListener, createPartControl, doRevertToSaved, doSetInput, fireConnectionProfileAttached, getAdapter, getConnectionInfo, getDatabase, getDatabaseIdentifier, getDBProposalsService, getDBType, getDefaultSchemaName, getDocumentSetupParticipant, getOrientation, getParentEditor, getParsingResult, getResourceBundle, getSelectedText, getSQLColorProvider, getSV, getTargetText, getText, insert, isConnected, outlinePageClosed, propertyChange, refreshConnectionStatus, removeConnectionProfileAttachListener, requestConnection, requestConnectionFromUser, setDocumentSetupParticipant, setFocus, setParentEditor, setParsingResult, updatePartControl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EDITOR_ID

    public static final java.lang.String EDITOR_ID

See Also:
  Constant Field Values

Constructor Detail

### RoutineEditor

    public RoutineEditor()

Method Detail

### init

    public void init(IEditorSite site,
                     IEditorInput input)
              throws PartInitException

  Overrides:
    `init` in class `SQLEditor`
  Throws:
    `PartInitException`

### doSave

    public void doSave(IProgressMonitor monitor)

  Description copied from class: `SQLEditor`
  Saves the content of this editor.

  Overrides:
    `doSave` in class `SQLEditor`
  See Also:
    `org.eclipse.ui.ISaveablePart#doSave(org.eclipse.core.runtime.IProgressMonitor)`

### doSaveAs

    public void doSaveAs()

  Description copied from class: `SQLEditor`
  Saves the contents of this editor to another object.

  Overrides:
    `doSaveAs` in class `SQLEditor`
  See Also:
    `org.eclipse.ui.ISaveablePart#doSaveAs()`

### getSQLType

    public int getSQLType()

  Description copied from class: `SQLEditor`
  Returns the outmost sql statement type that's allowed in this editor. The default sqlType is SQLParserConstants.TYPE_SQL_ROOT, which means any sql statements can occur.

  Overrides:
    `getSQLType` in class `SQLEditor`
  Returns:

### dispose

    public void dispose()

  Description copied from class: `SQLEditor`
  Dispose of resources held by this editor.

  Overrides:
    `dispose` in class `SQLEditor`
  See Also:
    `IWorkbenchPart#dispose()`

### getConstructedResourceBundle

    public java.util.ResourceBundle getConstructedResourceBundle()

  Gets the resource bundle associated with this editor.

  Returns:
    the resource bundle associated with this editor.

### getCurrProcIdentifier

    public ProcIdentifier getCurrProcIdentifier()

### setConnectionInfo

    public void setConnectionInfo(ISQLEditorConnectionInfo connInfo)

  Description copied from class: `SQLEditor`
  Sets the connection info object of the editor input of this editor. Also updates connection related features such as actions, status line, syntax highlighting, and syntax validation, etc.

  Overrides:
    `setConnectionInfo` in class `SQLEditor`
  Parameters:
    `connInfo` - the new connection info object

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.